'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.toClassicJobPage = exports.relativeUrl = exports.buildUrl = exports.getRestUrl = exports.endSlash = exports.paginateUrl = exports.calculateRunLogURLObject = exports.calculateStepsBaseUrl = exports.calculateNodeBaseUrl = exports.calculateLogUrl = exports.calculateLogView = exports.calculateFetchAll = exports.applyFetchAll = exports.fetchAllSuffix = exports.doubleUriEncode = exports.buildRunDetailsUrl = exports.buildClassicBuildUrl = exports.buildClassicInputUrl = exports.buildClassicConfigUrl = exports.buildClassicCreateJobUrl = exports.rootPath = exports.buildPipelineUrl = exports.buildOrganizationUrl = exports.LiveStatusIndicator = exports.TimeHarmonizerUtil = exports.TimeHarmonizer = exports.TimeManager = exports.DEBUG = exports.i18nBundleStartup = exports.analyticsService = exports.locationService = exports.pipelineService = exports.activityService = exports.sseService = exports.pagerService = exports.BunkerService = exports.RunApi = exports.ToastService = exports.SseBus = exports.capabilityAugmenter = exports.capabilityStore = exports.capable = exports.sseConnection = exports.ResultPageHeader = exports.SiteHeader = exports.ContentPageHeader = exports.BlueOceanIcon = exports.BlueLogo = exports.ParametersRender = exports.supportedInputTypesMapping = exports.Password = exports.Text = exports.String = exports.Choice = exports.Boolean = exports.ParameterApi = exports.ParameterService = exports.RunButton = exports.RunButtonBase = exports.LoginButton = exports.ReplayButton = exports.ShowMoreButton = exports.NotFound = exports.Fullscreen = exports.StringUtil = exports.ActivityService = exports.SSEService = exports.PipelineService = exports.PagerService = exports.Pager = exports.Paths = exports.Security = exports.AppConfig = exports.User = exports.Utils = exports.ToastUtils = exports.TestUtils = exports.JWT = exports.UrlConfig = exports.UrlBuilder = exports.FetchFunctions = exports.Fetch = exports.loadingIndicator = exports.logging = exports.defaultLngDetector = exports.i18nTranslator = undefined;

var _i18n = require('./i18n/i18n');

Object.defineProperty(exports, 'defaultLngDetector', {
    enumerable: true,
    get: function get() {
        return _i18n.defaultLngDetector;
    }
});

var _fetch = require('./fetch');

Object.defineProperty(exports, 'Fetch', {
    enumerable: true,
    get: function get() {
        return _fetch.Fetch;
    }
});
Object.defineProperty(exports, 'FetchFunctions', {
    enumerable: true,
    get: function get() {
        return _fetch.FetchFunctions;
    }
});

var _User = require('./User');

Object.defineProperty(exports, 'User', {
    enumerable: true,
    get: function get() {
        return _User.User;
    }
});

var _ShowMoreButton = require('./components/ShowMoreButton');

Object.defineProperty(exports, 'ShowMoreButton', {
    enumerable: true,
    get: function get() {
        return _ShowMoreButton.ShowMoreButton;
    }
});

var _ReplayButton = require('./components/ReplayButton');

Object.defineProperty(exports, 'ReplayButton', {
    enumerable: true,
    get: function get() {
        return _ReplayButton.ReplayButton;
    }
});

var _LoginButton = require('./components/LoginButton');

Object.defineProperty(exports, 'LoginButton', {
    enumerable: true,
    get: function get() {
        return _LoginButton.LoginButton;
    }
});

var _RunButton = require('./components/RunButton');

Object.defineProperty(exports, 'RunButtonBase', {
    enumerable: true,
    get: function get() {
        return _RunButton.RunButton;
    }
});

var _parameter = require('./parameter');

Object.defineProperty(exports, 'RunButton', {
    enumerable: true,
    get: function get() {
        return _parameter.ParametersRunButton;
    }
});
Object.defineProperty(exports, 'ParameterService', {
    enumerable: true,
    get: function get() {
        return _parameter.ParameterService;
    }
});
Object.defineProperty(exports, 'ParameterApi', {
    enumerable: true,
    get: function get() {
        return _parameter.ParameterApi;
    }
});
Object.defineProperty(exports, 'Boolean', {
    enumerable: true,
    get: function get() {
        return _parameter.Boolean;
    }
});
Object.defineProperty(exports, 'Choice', {
    enumerable: true,
    get: function get() {
        return _parameter.Choice;
    }
});
Object.defineProperty(exports, 'String', {
    enumerable: true,
    get: function get() {
        return _parameter.String;
    }
});
Object.defineProperty(exports, 'Text', {
    enumerable: true,
    get: function get() {
        return _parameter.Text;
    }
});
Object.defineProperty(exports, 'Password', {
    enumerable: true,
    get: function get() {
        return _parameter.Password;
    }
});
Object.defineProperty(exports, 'supportedInputTypesMapping', {
    enumerable: true,
    get: function get() {
        return _parameter.supportedInputTypesMapping;
    }
});
Object.defineProperty(exports, 'ParametersRender', {
    enumerable: true,
    get: function get() {
        return _parameter.ParametersRender;
    }
});

var _BlueLogo = require('./components/BlueLogo');

Object.defineProperty(exports, 'BlueLogo', {
    enumerable: true,
    get: function get() {
        return _BlueLogo.BlueLogo;
    }
});
Object.defineProperty(exports, 'BlueOceanIcon', {
    enumerable: true,
    get: function get() {
        return _BlueLogo.BlueOceanIcon;
    }
});

var _ContentPageHeader = require('./components/ContentPageHeader');

Object.defineProperty(exports, 'ContentPageHeader', {
    enumerable: true,
    get: function get() {
        return _ContentPageHeader.ContentPageHeader;
    }
});
Object.defineProperty(exports, 'SiteHeader', {
    enumerable: true,
    get: function get() {
        return _ContentPageHeader.SiteHeader;
    }
});

var _ResultPageHeader = require('./components/ResultPageHeader');

Object.defineProperty(exports, 'ResultPageHeader', {
    enumerable: true,
    get: function get() {
        return _ResultPageHeader.ResultPageHeader;
    }
});

var _index = require('./capability/index');

Object.defineProperty(exports, 'capable', {
    enumerable: true,
    get: function get() {
        return _index.capable;
    }
});
Object.defineProperty(exports, 'capabilityStore', {
    enumerable: true,
    get: function get() {
        return _index.capabilityStore;
    }
});
Object.defineProperty(exports, 'capabilityAugmenter', {
    enumerable: true,
    get: function get() {
        return _index.capabilityAugmenter;
    }
});

var _BunkerService = require('./services/BunkerService');

Object.defineProperty(exports, 'BunkerService', {
    enumerable: true,
    get: function get() {
        return _BunkerService.BunkerService;
    }
});

var _bundleStartup = require('./i18n/bundle-startup');

Object.defineProperty(exports, 'i18nBundleStartup', {
    enumerable: true,
    get: function get() {
        return _bundleStartup.execute;
    }
});

var _TimeManager = require('./utils/TimeManager');

Object.defineProperty(exports, 'TimeManager', {
    enumerable: true,
    get: function get() {
        return _TimeManager.TimeManager;
    }
});

var _TimeHarmonizer = require('./components/TimeHarmonizer');

Object.defineProperty(exports, 'TimeHarmonizer', {
    enumerable: true,
    get: function get() {
        return _TimeHarmonizer.TimeHarmonizer;
    }
});
Object.defineProperty(exports, 'TimeHarmonizerUtil', {
    enumerable: true,
    get: function get() {
        return _TimeHarmonizer.TimeHarmonizerUtil;
    }
});

var _UrlUtils = require('./utils/UrlUtils');

Object.defineProperty(exports, 'buildOrganizationUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildOrganizationUrl;
    }
});
Object.defineProperty(exports, 'buildPipelineUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildPipelineUrl;
    }
});
Object.defineProperty(exports, 'rootPath', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.rootPath;
    }
});
Object.defineProperty(exports, 'buildClassicCreateJobUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildClassicCreateJobUrl;
    }
});
Object.defineProperty(exports, 'buildClassicConfigUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildClassicConfigUrl;
    }
});
Object.defineProperty(exports, 'buildClassicInputUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildClassicInputUrl;
    }
});
Object.defineProperty(exports, 'buildClassicBuildUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildClassicBuildUrl;
    }
});
Object.defineProperty(exports, 'buildRunDetailsUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildRunDetailsUrl;
    }
});
Object.defineProperty(exports, 'doubleUriEncode', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.doubleUriEncode;
    }
});
Object.defineProperty(exports, 'fetchAllSuffix', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.fetchAllSuffix;
    }
});
Object.defineProperty(exports, 'applyFetchAll', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.applyFetchAll;
    }
});
Object.defineProperty(exports, 'calculateFetchAll', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateFetchAll;
    }
});
Object.defineProperty(exports, 'calculateLogView', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateLogView;
    }
});
Object.defineProperty(exports, 'calculateLogUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateLogUrl;
    }
});
Object.defineProperty(exports, 'calculateNodeBaseUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateNodeBaseUrl;
    }
});
Object.defineProperty(exports, 'calculateStepsBaseUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateStepsBaseUrl;
    }
});
Object.defineProperty(exports, 'calculateRunLogURLObject', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.calculateRunLogURLObject;
    }
});
Object.defineProperty(exports, 'paginateUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.paginateUrl;
    }
});
Object.defineProperty(exports, 'endSlash', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.endSlash;
    }
});
Object.defineProperty(exports, 'getRestUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.getRestUrl;
    }
});
Object.defineProperty(exports, 'buildUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.buildUrl;
    }
});
Object.defineProperty(exports, 'relativeUrl', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.relativeUrl;
    }
});
Object.defineProperty(exports, 'toClassicJobPage', {
    enumerable: true,
    get: function get() {
        return _UrlUtils.toClassicJobPage;
    }
});

var _sseGateway = require('@jenkins-cd/sse-gateway');

var sse = _interopRequireWildcard(_sseGateway);

var _RunApi = require('./rest/RunApi');

var _SseBus = require('./sse/SseBus');

var _ToastService = require('./ToastService');

var _AnalyticsService = require('./analytics/AnalyticsService');

var _i18n2 = _interopRequireDefault(_i18n);

var _logging2 = require('./logging');

var _logging3 = _interopRequireDefault(_logging2);

var _LoadingIndicator = require('./LoadingIndicator');

var _LoadingIndicator2 = _interopRequireDefault(_LoadingIndicator);

var _UrlBuilder2 = require('./UrlBuilder');

var _UrlBuilder3 = _interopRequireDefault(_UrlBuilder2);

var _urlconfig = require('./urlconfig');

var _urlconfig2 = _interopRequireDefault(_urlconfig);

var _jwt = require('./jwt');

var _jwt2 = _interopRequireDefault(_jwt);

var _testutils = require('./testutils');

var _testutils2 = _interopRequireDefault(_testutils);

var _ToastUtils2 = require('./ToastUtils');

var _ToastUtils3 = _interopRequireDefault(_ToastUtils2);

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _security = require('./security');

var _security2 = _interopRequireDefault(_security);

var _index2 = require('./paths/index');

var _index3 = _interopRequireDefault(_index2);

var _index4 = require('./services/index');

var _stringUtil = require('./stringUtil');

var stringUtil = _interopRequireWildcard(_stringUtil);

var _Fullscreen2 = require('./Fullscreen');

var _Fullscreen3 = _interopRequireDefault(_Fullscreen2);

var _NotFound2 = require('./NotFound');

var _NotFound3 = _interopRequireDefault(_NotFound2);

var _LiveStatusIndicator = require('./components/LiveStatusIndicator');

var _LiveStatusIndicator2 = _interopRequireDefault(_LiveStatusIndicator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.i18nTranslator = _i18n2.default;

// export i18n provider
/**
 * Created by cmeyers on 8/18/16.
 */

exports.logging = _logging3.default;
exports.loadingIndicator = _LoadingIndicator2.default;
exports.UrlBuilder = _UrlBuilder3.default;
exports.UrlConfig = _urlconfig2.default;
exports.JWT = _jwt2.default;
exports.TestUtils = _testutils2.default;
exports.ToastUtils = _ToastUtils3.default;
exports.Utils = _utils2.default;
exports.AppConfig = _config2.default;
exports.Security = _security2.default;
exports.Paths = _index3.default;
exports.Pager = _index4.Pager;
exports.PagerService = _index4.PagerService;
exports.PipelineService = _index4.PipelineService;
exports.SSEService = _index4.SSEService;
exports.ActivityService = _index4.ActivityService;
exports.StringUtil = stringUtil;
exports.Fullscreen = _Fullscreen3.default;
exports.NotFound = _NotFound3.default;


// Create and export the SSE connection that will be shared by other
// Blue Ocean components via this package.
var sseConnection = exports.sseConnection = sse.connect('jenkins-blueocean-core-js');

// export services as a singleton so all plugins will use the same instance

// capabilities


// limit to single instance so that duplicate REST calls aren't made as events come in
var sseBus = new _SseBus.SseBus(sseConnection, _fetch.Fetch.fetchJSON);
exports.SseBus = sseBus;

// required so new toasts are routed to the instance used in blueocean-web

var toastService = new _ToastService.ToastService();
exports.ToastService = toastService;


var runApi = new _RunApi.RunApi();
exports.RunApi = runApi;
var pagerService = exports.pagerService = new _index4.PagerService();
var sseService = exports.sseService = new _index4.SSEService(sseConnection);
var activityService = exports.activityService = new _index4.ActivityService(pagerService);
var pipelineService = exports.pipelineService = new _index4.PipelineService(pagerService, activityService);
var locationService = exports.locationService = new _index4.LocationService();
var analyticsService = exports.analyticsService = new _AnalyticsService.AnalyticsService();

var defaultSSEhandler = new _index4.DefaultSSEHandler(pipelineService, activityService, pagerService);
sseService.registerHandler(defaultSSEhandler.handleEvents);

// Export some debugging stuff client code may need

var DEBUG = exports.DEBUG = {
    enableMocksForI18n: _i18n.enableMocksForI18n,
    disableMocksForI18n: _i18n.disableMocksForI18n
};

exports.LiveStatusIndicator = _LiveStatusIndicator2.default;
//# sourceMappingURL=index.js.map
